package kr.co.zumo.app.lifeplus.view.fragment.signup;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.model.SignUpModel;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.ISignUpView;
import kr.co.zumo.app.lifeplus.view.fragment.FragmentBase;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpAlreadyMemberPresenter;

/**
 * SignUpAlreadyMemberFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-21]   [최초 작성]
 * @since 2018-09-21
 */
public class SignUpAlreadyMemberFragment extends FragmentBase<SignUpAlreadyMemberPresenter> implements ISignUpView {

  @Override
  public void onCreate(@Nullable Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
  }

  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    return inflater.inflate(R.layout.fragment_sign_up_current_user, container, false);
  }

  @Override
  protected void onAfterActivityCreated(Bundle savedInstanceState) {

    View button = getView().findViewById(R.id.button_pin_code_reset);
    button.setOnClickListener(view -> presenter.onEvent(new Event.Builder(Event.RESET).build()));

    button = getView().findViewById(R.id.button_sign_up_unlock);
    button.setOnClickListener(view -> presenter.onEvent(new Event.Builder(Event.UNLOCK).build()));
  }

  @Override
  protected SignUpAlreadyMemberPresenter definePresenter() {
    return new SignUpAlreadyMemberPresenter(getModel(SignUpModel.class), this);
  }

}
